Debian Bug report logs - #612013
uses deprecated HAL for network device enumeration

version graph

Package: virt-manager; Maintainer for virt-manager is Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>; Source for virt-manager is src:virt-manager.

Reported by: Michael Biebl <biebl@debian.org>

Date: Fri, 4 Feb 2011 17:36:01 UTC

Severity: normal

Found in version virt-manager/0.8.6-2

Fixed in version virt-manager/0.9.3-2

Done: Guido Günther <agx@sigxcpu.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>:
Bug#612013; Package libvirt-bin. (Fri, 04 Feb 2011 17:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>. (Fri, 04 Feb 2011 17:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: (network) device enumeration does not work without hal
Date: Fri, 04 Feb 2011 18:34:18 +0100
[Message part 1 (text/plain, inline)]
Package: libvirt-bin
Version: 0.8.3-5
Severity: normal

Hi,

I installed libvirt-bin on a squeeze system and I've configured two
bridge interfaces via /etc/network/interfaces

When hal is *not* installed, I can't choose the bridge interfaces when
adding a network device, only NAT is available as option, as you can see
from the attached screenshot.
The error message indicates, that hal is still required for device
enumeration.

As soon as I install the hal package, my bridge interfaces are visible
within virt-manager.

I'm not entirely sure if this is a issue in virt-manager issue or libvirt-bin.
Please reassign accordingly.

Cheers,
Michael





-- System Information:
Debian Release: 6.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (200, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.37-trunk-686 (SMP w/1 CPU core)
Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[libvirt-bin-no-hal.jpeg (image/jpeg, attachment)]

Bug reassigned from package 'libvirt-bin' to 'virt-manager'. Request was from Guido Günther <agx@sigxcpu.org> to control@bugs.debian.org. (Sat, 05 Feb 2011 15:48:02 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions libvirt/0.8.3-5. Request was from Guido Günther <agx@sigxcpu.org> to control@bugs.debian.org. (Sat, 05 Feb 2011 15:48:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>:
Bug#612013; Package virt-manager. (Sat, 05 Feb 2011 15:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guido Günther <agx@sigxcpu.org>:
Extra info received and forwarded to list. Copy sent to Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>. (Sat, 05 Feb 2011 15:51:03 GMT) Full text and rfc822 format available.

Message #14 received at 612013@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: Michael Biebl <biebl@debian.org>, 612013@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: [Pkg-libvirt-maintainers] Bug#612013: (network) device enumeration does not work without hal
Date: Sat, 5 Feb 2011 16:47:42 +0100
tags 612013 +pending
Thanks,

On Fri, Feb 04, 2011 at 06:34:18PM +0100, Michael Biebl wrote:
> Package: libvirt-bin
> Version: 0.8.3-5
> Severity: normal
> 
> Hi,
> 
> I installed libvirt-bin on a squeeze system and I've configured two
> bridge interfaces via /etc/network/interfaces
> 
> When hal is *not* installed, I can't choose the bridge interfaces when
> adding a network device, only NAT is available as option, as you can see
> from the attached screenshot.
> The error message indicates, that hal is still required for device
> enumeration.
> 
> As soon as I install the hal package, my bridge interfaces are visible
> within virt-manager.

Yes, it's still used for bridge enumeration within virt-manager. I added
a suggests.
Cheers,
 -- Guido

> 
> I'm not entirely sure if this is a issue in virt-manager issue or libvirt-bin.
> Please reassign accordingly.
> 
> Cheers,
> Michael
> 
> 
> 
> 
> 
> -- System Information:
> Debian Release: 6.0
>   APT prefers unstable
>   APT policy: (500, 'unstable'), (200, 'experimental')
> Architecture: i386 (i686)
> 
> Kernel: Linux 2.6.37-trunk-686 (SMP w/1 CPU core)
> Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash


> _______________________________________________
> Pkg-libvirt-maintainers mailing list
> Pkg-libvirt-maintainers@lists.alioth.debian.org
> http://lists.alioth.debian.org/mailman/listinfo/pkg-libvirt-maintainers





Added tag(s) pending. Request was from Guido Günther <agx@sigxcpu.org> to control@bugs.debian.org. (Sat, 05 Feb 2011 15:51:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>:
Bug#612013; Package virt-manager. (Sat, 05 Feb 2011 17:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>. (Sat, 05 Feb 2011 17:39:03 GMT) Full text and rfc822 format available.

Message #21 received at 612013@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Guido Günther <agx@sigxcpu.org>
Cc: 612013@bugs.debian.org
Subject: Re: [Pkg-libvirt-maintainers] Bug#612013: (network) device enumeration does not work without hal
Date: Sat, 05 Feb 2011 18:29:17 +0100
[Message part 1 (text/plain, inline)]
Hi Guido!

On 05.02.2011 16:47, Guido Günther wrote:
> On Fri, Feb 04, 2011 at 06:34:18PM +0100, Michael Biebl wrote:
>> As soon as I install the hal package, my bridge interfaces are visible
>> within virt-manager.
> 
> Yes, it's still used for bridge enumeration within virt-manager. I added
> a suggests.

Given that hal is going away, would it be possible to port it to use udev (or
any other mechanism) instead?
The only reason why I have to install hal on this KVM server is for libvirt,
which is a bit of a heavy weight dep imho.

Cheers,
Michael
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>:
Bug#612013; Package virt-manager. (Sat, 05 Feb 2011 20:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guido Günther <agx@sigxcpu.org>:
Extra info received and forwarded to list. Copy sent to Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>. (Sat, 05 Feb 2011 20:21:03 GMT) Full text and rfc822 format available.

Message #26 received at 612013@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: Michael Biebl <biebl@debian.org>
Cc: 612013@bugs.debian.org
Subject: Re: [Pkg-libvirt-maintainers] Bug#612013: (network) device enumeration does not work without hal
Date: Sat, 5 Feb 2011 18:57:33 +0100
On Sat, Feb 05, 2011 at 06:29:17PM +0100, Michael Biebl wrote:
> Hi Guido!
> 
> On 05.02.2011 16:47, Guido Günther wrote:
> > On Fri, Feb 04, 2011 at 06:34:18PM +0100, Michael Biebl wrote:
> >> As soon as I install the hal package, my bridge interfaces are visible
> >> within virt-manager.
> > 
> > Yes, it's still used for bridge enumeration within virt-manager. I added
> > a suggests.
> 
> Given that hal is going away, would it be possible to port it to use udev (or
> any other mechanism) instead?
> The only reason why I have to install hal on this KVM server is for libvirt,
> which is a bit of a heavy weight dep imho.
Libvirt doesn't use it at all. It's only used by virt-manager but the
code should indeed be replaced.
Cheers,
 -- Guido




Reply sent to Laurent Léonard <laurent@open-minds.org>:
You have taken responsibility. (Sat, 19 Feb 2011 17:13:20 GMT) Full text and rfc822 format available.

Notification sent to Michael Biebl <biebl@debian.org>:
Bug acknowledged by developer. (Sat, 19 Feb 2011 17:13:20 GMT) Full text and rfc822 format available.

Message #31 received at 612013-close@bugs.debian.org (full text, mbox):

From: Laurent Léonard <laurent@open-minds.org>
To: 612013-close@bugs.debian.org
Subject: Bug#612013: fixed in virt-manager 0.8.6-2
Date: Sat, 19 Feb 2011 17:06:49 +0000
Source: virt-manager
Source-Version: 0.8.6-2

We believe that the bug you reported is fixed in the latest version of
virt-manager, which is due to be installed in the Debian FTP archive:

virt-manager_0.8.6-2.debian.tar.gz
  to main/v/virt-manager/virt-manager_0.8.6-2.debian.tar.gz
virt-manager_0.8.6-2.dsc
  to main/v/virt-manager/virt-manager_0.8.6-2.dsc
virt-manager_0.8.6-2_all.deb
  to main/v/virt-manager/virt-manager_0.8.6-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 612013@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Laurent Léonard <laurent@open-minds.org> (supplier of updated virt-manager package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 19 Feb 2011 17:37:33 +0100
Source: virt-manager
Binary: virt-manager
Architecture: source all
Version: 0.8.6-2
Distribution: unstable
Urgency: low
Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
Changed-By: Laurent Léonard <laurent@open-minds.org>
Description: 
 virt-manager - desktop application for managing virtual machines
Closes: 612013
Changes: 
 virt-manager (0.8.6-2) unstable; urgency=low
 .
   [ Laurent Léonard ]
   * [e30d190] New patch 0003-manager-Don-t-always-launch-consoles-for-
     running-dom.patch
 .
   [ Guido Günther ]
   * [ff2e16b] Suggest hal since it's used by virt-manager for bridge
     detection. (Closes: #612013)
 .
   [ Laurent Léonard ]
   * [358e4a0] New patch 0004-l10n-Updates-to-French-fr-translation.patch
Checksums-Sha1: 
 a4511e06f5a663ad357eb72554db77b5845db081 1418 virt-manager_0.8.6-2.dsc
 b9158118e62fd2d9716fee61be7640e327fec064 21381 virt-manager_0.8.6-2.debian.tar.gz
 98d4e51e6e8b9c800e48a4a362a540c0cf843cad 1101530 virt-manager_0.8.6-2_all.deb
Checksums-Sha256: 
 a6fa0583925e025e783cae7e1ae55632c56637b997e84b3e76d95826f0be12e4 1418 virt-manager_0.8.6-2.dsc
 55a143e5acc1d93266084bbd937b0781e825fe560a0cd6c3d4deadfb2c47a96b 21381 virt-manager_0.8.6-2.debian.tar.gz
 63adc76036cfa259436a94587078215302cbe306e0e3ce2c2a247b35c8f46a40 1101530 virt-manager_0.8.6-2_all.deb
Files: 
 0165e47da1bc6af26eff3d365fb186f3 1418 admin optional virt-manager_0.8.6-2.dsc
 539b9aa1018a583b6087dc22e1efe121 21381 admin optional virt-manager_0.8.6-2.debian.tar.gz
 072ccc58c75631b52b8325e4c4e22f92 1101530 admin optional virt-manager_0.8.6-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk1f9eUACgkQKEZvGlTCoYWVfgCeNuqN4iN2crdJCJ3vTfmrJ5Ta
88UAn1CBR1PhChXFM/kJOXsautoB44JZ
=Sz4v
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>:
Bug#612013; Package virt-manager. (Sat, 26 Feb 2011 12:06:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>. (Sat, 26 Feb 2011 12:06:12 GMT) Full text and rfc822 format available.

Message #36 received at 612013@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Guido Günther <agx@sigxcpu.org>
Cc: 612013@bugs.debian.org, control@bugs.debian.org
Subject: Re: [Pkg-libvirt-maintainers] Bug#612013: (network) device enumeration does not work without hal
Date: Sat, 26 Feb 2011 13:04:58 +0100
[Message part 1 (text/plain, inline)]
reopen 612013
retitle 612013 uses deprecated HAL for network device enumeration
thanks

Am 05.02.2011 18:57, schrieb Guido Günther:
> On Sat, Feb 05, 2011 at 06:29:17PM +0100, Michael Biebl wrote:
>> Hi Guido!
>>
>> On 05.02.2011 16:47, Guido Günther wrote:
>>> On Fri, Feb 04, 2011 at 06:34:18PM +0100, Michael Biebl wrote:
>>>> As soon as I install the hal package, my bridge interfaces are visible
>>>> within virt-manager.
>>>
>>> Yes, it's still used for bridge enumeration within virt-manager. I added
>>> a suggests.
>>
>> Given that hal is going away, would it be possible to port it to use udev (or
>> any other mechanism) instead?
>> The only reason why I have to install hal on this KVM server is for libvirt,
>> which is a bit of a heavy weight dep imho.
> Libvirt doesn't use it at all. It's only used by virt-manager but the
> code should indeed be replaced.

I'm going to reopen this bug report.
Given that hal is a deprecated technology and we want to get rid of it in
Debian, adding a mere Suggests on hal is not the way forward.

Please consider updating virt-manager so network device enumeration works
without HAL.

Thanks,
Michael

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Bug No longer marked as fixed in versions virt-manager/0.8.6-2 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 26 Feb 2011 12:06:14 GMT) Full text and rfc822 format available.

Changed Bug title to 'uses deprecated HAL for network device enumeration' from '(network) device enumeration does not work without hal' Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Sat, 26 Feb 2011 12:06:15 GMT) Full text and rfc822 format available.

Bug Marked as found in versions virt-manager/0.8.6-2. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Sat, 26 Feb 2011 15:03:11 GMT) Full text and rfc822 format available.

Reply sent to Guido Günther <agx@sigxcpu.org>:
You have taken responsibility. (Tue, 31 Jul 2012 12:51:03 GMT) Full text and rfc822 format available.

Notification sent to Michael Biebl <biebl@debian.org>:
Bug acknowledged by developer. (Tue, 31 Jul 2012 12:51:03 GMT) Full text and rfc822 format available.

Message #47 received at 612013-close@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: 612013-close@bugs.debian.org
Subject: Bug#612013: fixed in virt-manager 0.9.3-2
Date: Tue, 31 Jul 2012 12:47:49 +0000
Source: virt-manager
Source-Version: 0.9.3-2

We believe that the bug you reported is fixed in the latest version of
virt-manager, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 612013@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guido Günther <agx@sigxcpu.org> (supplier of updated virt-manager package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 31 Jul 2012 14:40:02 +0200
Source: virt-manager
Binary: virt-manager
Architecture: source all
Version: 0.9.3-2
Distribution: unstable
Urgency: low
Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
Changed-By: Guido Günther <agx@sigxcpu.org>
Description: 
 virt-manager - desktop application for managing virtual machines
Closes: 63204 612013
Changes: 
 virt-manager (0.9.3-2) unstable; urgency=low
 .
   * [1d4ae00] Remove hal from suggests since libvirt now has netcf support.
     Closes: #612013
   * [4d37d58] Don't install virt-manager-tui.
     Closes: #63204
Checksums-Sha1: 
 c3a0d728303fcdda6e5f14b854f298b5a07cf152 1458 virt-manager_0.9.3-2.dsc
 15af2a5e8d0e03d99c13ac5d08456110d1ae75a8 10670 virt-manager_0.9.3-2.debian.tar.gz
 bee5dc265f9ed48121b5830c5648ab0563500e03 1245924 virt-manager_0.9.3-2_all.deb
Checksums-Sha256: 
 40770329306be98c9bdf908763366f97257bc9e3d7aaf2ab674c0eed840e3d45 1458 virt-manager_0.9.3-2.dsc
 ffa1df1237d61a26b9b195d5d49628898a0058934cccca16bbd6d22246ee4c28 10670 virt-manager_0.9.3-2.debian.tar.gz
 1f9c00244cd1c3f2a8faff64bcad631a9b2f9514294d739ae4b43295ecbee726 1245924 virt-manager_0.9.3-2_all.deb
Files: 
 d86b437735f3354efd53326416586568 1458 admin optional virt-manager_0.9.3-2.dsc
 a7db89b74fa3f852fbef1f2d8db67cb5 10670 admin optional virt-manager_0.9.3-2.debian.tar.gz
 b1e495a639cd5400bbcc8ef56cda97ae 1245924 admin optional virt-manager_0.9.3-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFQF9LPn88szT8+ZCYRAnT2AJ40RZIefKf9YvB7KhC6lNITr3usigCggY2L
7kzgTzPeEdxpJHeTdELix+4=
=SQLt
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 20 Sep 2013 07:26:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:51:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.